> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/fantom-ftm/ftm_eth_newfilter.md).

# eth\_newFilter - Fantom

Example code for the eth\_newFilter json-rpc method. Сomplete guide on how to use eth\_newFilter json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`Object` - object

Filter options

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "eth_newFilter",
"params": [{"topics": ["0xb7407a6d74c6472bf99c4c9abe0860dc439469421c42c060639733b2309b05c7"]}],
"id": "getblock.io"}'
```

#### Response

```java
{
    "id": "getblock.io",
    "jsonrpc": "2.0",
    "result": "0x36b82dbb9a3f54f9158c367e2e2d94b5"
}
```
